petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexCreateSubpointIS

Creates an IS covering the entire subdm chart with the original points as data

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreateSubpointIS(DM dm, IS *subpointIS)

### Input Parameter

dm -The submesh DM

### Output Parameter

subpointIS -The IS of all the points from the original mesh in this submesh, or NULL if this is not a submesh

Note: This IS is guaranteed to be sorted by the construction of the submesh

### See Also

DMPlexCreateSubmesh(), DMPlexGetSubpointMap()

### Level

developer

### Location

src/dm/impls/plex/plexsubmesh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages